#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = ['Click>=7.0', ]

test_requirements = ['pytest>=3', ]

setup(
    author="Chris Doyle",
    author_email='uk.chris.doyle+cdsre@gmail.com',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="A package to help vizualise output from terraform graph as an svg file",
    entry_points={
        'console_scripts': [
            'terragraph=terragraph.cli:main',
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='terragraph',
    name='terragraph',
    packages=find_packages(include=['terragraph', 'terragraph.*']),
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/cdsre/terragraph',
    version='0.2.0',
    zip_safe=False,
)
